# class LLVM::ABI::X86_64

- LLVM::ABI::X86_64
- LLVM::ABI
- Reference
- Object

##
Defined in:

##
Instance Method Summary

- #abi_info(atys : Array(Type), rty : Type, ret_def : Bool, context : Context)
- #align(offset, type)
- #align(type : Type)
- #all_mem(reg_classes)
- #classify(ty, cls, ix, off)
- #classify(type)
- #classify_struct(tys, cls, i, off, packed)
- #fixup(ty, cls)
- #llreg(context, reg_classes)
- #llvec_len(reg_classes)
- #pass_by_val?(cls)
- #register?(type)
- #size(type : Type)
- #sret?(cls)
- #unify(cls, i, newv)
- #x86_64_type(type, ind_attr, context, &)

### Instance methods inherited from class `LLVM::ABI`

abi_info(atys : Array(Type), rty : Type, ret_def : Bool, context : Context) abi_info, align(type : Type, pointer_size)
align(type : Type) align, align_offset(offset, type) align_offset, osx? : Bool osx?, size(type : Type, pointer_size)
size(type : Type) size, target_data : TargetData target_data, windows? : Bool windows?

### Constructor methods inherited from class `LLVM::ABI`

new(target_machine : TargetMachine) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def abi_info(atys : Array(Type), rty : Type, ret_def : Bool, context : Context) #
def align(offset, type) #
def align(type : Type) #
def all_mem(reg_classes) #
def classify(ty, cls, ix, off) #
def classify(type) #
def classify_struct(tys, cls, i, off, packed) #
def fixup(ty, cls) #
def llreg(context, reg_classes) #
def llvec_len(reg_classes) #
def pass_by_val?(cls) #
def register?(type) #
def size(type : Type) #
def sret?(cls) #
def unify(cls, i, newv) #
def x86_64_type(type, ind_attr, context, &) #